using Microsoft.AspNetCore.Mvc;

namespace MovieFinderAPI.Controllers
{
    [ApiController]
    [Route("[controller]")]
    public class SuggestedMoviesController : ControllerBase
    {
        private static readonly int[] suggestedMovies = new[]
        {
            123,123
        };
     

        private readonly ILogger<SuggestedMoviesController> _logger;

        public SuggestedMoviesController(ILogger<SuggestedMoviesController> logger)
        {
            _logger = logger;
        }

        [HttpGet(Name = "GetSuggestedMovies")]
        public IEnumerable<SuggestedMovies> Get()
        {
            return Enumerable.Range(1, 100).Select(index => new SuggestedMovies
            {
                Id = suggestedMovies[index],
            })
            .ToArray();
        }
    }
}